package AccessType

type AccessType int32

const (
	PageForIndex          AccessType = 1
	PageForRecommendMenu  AccessType = 2
	PageForPlayItemMenu   AccessType = 3
	PageForPerformMenu    AccessType = 4
	PageForServiceMenu    AccessType = 5
	PageForRestaurantMenu AccessType = 6
	TouchAnnotation       AccessType = 7
	TouchShopMenu         AccessType = 8
	TouchMyMenu           AccessType = 9
	TouchComplaintMenu    AccessType = 10
)

func (o AccessType) String() string {
	switch (o) {
	case PageForIndex:
		return "首页"
	case PageForRecommendMenu:
		return "推荐"
	case PageForPlayItemMenu:
		return "游玩项目"
	case PageForPerformMenu:
		return "演出活动"
	case PageForServiceMenu:
		return "服务设施"
	case PageForRestaurantMenu:
		return "餐饮购物"
	case TouchAnnotation:
		return "点击建筑图标"
	case TouchShopMenu:
		return "点击商店"
	case TouchMyMenu:
		return "点击个人中心"
	case TouchComplaintMenu:
		return "点击投诉&意见"
	default:
		return "UNKNOWN"
	}
}
